> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roark.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List personal API keys

> Requires a personal API key; a project API key is refused. Returns the personal API keys that act as you: the ones created in the dashboard, from `roark auth login`, and MCP connectors. Defaults to ACTIVE, pass ?status=REVOKED to see revoked ones. The key value itself is never returned.



## OpenAPI

````yaml /api-reference/openapi.documented.json get /v1/me/api-keys
openapi: 3.1.0
info:
  title: Roark Analytics API
  description: >-
    The Roark Analytics API gives you access to the same API that powers the
    award winning Roark Analytics platform.
  version: 1.0.0
servers:
  - description: Production
    url: https://api.roark.ai
security:
  - Bearer: []
tags:
  - name: Health
    x-displayName: Health
  - name: Authentication
    x-displayName: Current credential
  - name: Project API Key
    x-displayName: Project API keys
  - name: Personal API Key
    x-displayName: Personal API keys
  - name: Agent
    x-displayName: Agents
  - name: Agent Endpoint
    x-displayName: Endpoints
  - name: Tool
    x-displayName: Tools
  - name: Agent Setup
    x-displayName: Automatic test setup
  - name: Autoimprove
    x-displayName: Autoimprove
  - name: Customer Flow
    x-displayName: Customer flows
  - name: Customer Flow Folder
    x-displayName: Customer flow folders
  - name: Simulation Persona
    x-displayName: Personas
  - name: Simulation Environment
    x-displayName: Environments
  - name: Simulation Template
    x-displayName: Templates
  - name: Simulation Run Plan
    x-displayName: Plans
  - name: Simulation Run
    x-displayName: Runs
  - name: Simulation Tool Mock
    x-displayName: Tool mocks and fixtures
  - name: Metric
    x-displayName: Definitions
  - name: Metric Variant
    x-displayName: Variants
  - name: Metric Policy
    x-displayName: Policies
  - name: Metric Collection Job
    x-displayName: Collection jobs
  - name: Call
    x-displayName: Calls
  - name: Chat
    x-displayName: Chats
  - name: Customer
    x-displayName: Customers
  - name: Issue
    x-displayName: Issues
  - name: Analytics
    x-displayName: Analytics
  - name: Dashboard
    x-displayName: Dashboards
  - name: Live Report
    x-displayName: Reports
  - name: Agent Connection
    x-displayName: Agent platforms
  - name: Calendar Connection
    x-displayName: Calendars
  - name: MCP Server Connection
    x-displayName: MCP servers
  - name: Knowledge Base
    x-displayName: Knowledge bases
  - name: HTTP Request Definition
    x-displayName: HTTP request definitions
  - name: Webhook
    x-displayName: Webhooks
  - name: Config
    x-displayName: Config as code
  - name: Organization Project
    x-displayName: Projects
  - name: Organization Project Member
    x-displayName: Project members
  - name: Usage
    x-displayName: Usage
  - name: Benchmark
    x-displayName: Benchmarks
paths:
  /v1/me/api-keys:
    get:
      tags:
        - Personal API Key
      summary: List personal API keys
      description: >-
        Requires a personal API key; a project API key is refused. Returns the
        personal API keys that act as you: the ones created in the dashboard,
        from `roark auth login`, and MCP connectors. Defaults to ACTIVE, pass
        ?status=REVOKED to see revoked ones. The key value itself is never
        returned.
      operationId: getV1MeApi-keys
      parameters:
        - in: query
          name: status
          schema:
            type: string
            enum:
              - ACTIVE
              - REVOKED
            description: Filter by status. Defaults to ACTIVE.
            example: ACTIVE
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/MeApiKeyListResponse'
                required:
                  - data
          description: Your personal API keys
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Authentication error
              example:
                type: authentication
                code: unauthorized
                message: Authentication required
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Permission error
              example:
                type: forbidden
                code: permission_denied
                message: You do not have permission to access this resource
          description: Forbidden
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Rate limit error
              example:
                type: rate_limit
                code: too_many_requests
                message: Rate limit exceeded
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Server error
              example:
                type: internal
                code: internal_error
                message: Internal server error
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Roark from '@roarkanalytics/sdk';

            const client = new Roark({
              bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
            });

            const response = await client.me.listAPIKeys();

            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from roark_analytics import Roark

            client = Roark(
                bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"),  # This is the default and can be omitted
            )
            response = client.me.list_api_keys()
            print(response.data)
components:
  schemas:
    MeApiKeyListResponse:
      type: object
      properties:
        apiKeys:
          type: array
          items:
            $ref: '#/components/schemas/MeApiKey'
      required:
        - apiKeys
      description: Your personal API keys
    ErrorResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - validation
            - authentication
            - forbidden
            - not_found
            - conflict
            - payment_required
            - rate_limit
            - internal
          description: The error type category
          examples:
            - validation
            - authentication
        code:
          type: string
          description: Machine-readable error code identifier
          examples:
            - invalid_parameter
            - missing_required_field
            - unauthorized
        message:
          type: string
          description: Human-readable error message
          examples:
            - The request was invalid
            - Authentication required
        param:
          type: string
          description: The parameter that caused the error (if applicable)
          examples:
            - email
            - user_id
        details:
          description: Additional error context information
      required:
        - type
        - code
        - message
    MeApiKey:
      type: object
      properties:
        id:
          type: string
          description: Roark ID of the credential. Pass it to DELETE to revoke.
        name:
          type: string
          description: The label chosen when it was created
        createdAt:
          type: string
          description: ISO 8601 timestamp
        lastUsedAt:
          type:
            - string
            - 'null'
          description: ISO 8601 timestamp, null if never used
        expiresAt:
          type:
            - string
            - 'null'
          description: ISO 8601 timestamp, null if it never expires
        status:
          type:
            - string
            - 'null'
          enum:
            - ACTIVE
            - REVOKED
        organizationId:
          type:
            - string
            - 'null'
          description: The organization this credential is pinned to
        defaultProjectId:
          type:
            - string
            - 'null'
          description: >-
            The project a request acts on when it sends no X-Roark-Project-Id
            header. Null once that project is deleted.
        scopes:
          type: array
          items:
            type: string
          description: 'Coarse tier: READ, or WRITE for read and write'
        permissions:
          type: array
          items:
            type: string
          description: Granted 'resource:action' permissions
      required:
        - id
        - name
        - createdAt
        - lastUsedAt
        - expiresAt
        - status
        - organizationId
        - defaultProjectId
        - scopes
        - permissions
      description: 'A personal API key: a credential that acts as you'
      example:
        id: 7c6d5e4f-3a2b-4109-8765-4f3e2d1c0b9a
        name: CLI on laptop
        createdAt: '2026-09-28T11:04:00.000Z'
        lastUsedAt: '2026-10-02T08:12:31.000Z'
        expiresAt: null
        status: ACTIVE
        organizationId: 9f8e7d6c-5b4a-4312-9081-7f6e5d4c3b2a
        defaultProjectId: 1a2b3c4d-5e6f-4701-8293-a4b5c6d7e8f9
        scopes:
          - READ
        permissions:
          - call:read
          - metric:read
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.